Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Common Unix Printing System (CUPS)
Name:      	cups
Version:   	1.3.8
Release:   	2
Provides:	cups
Requires: 	ghostscript
License: 	GNU/GPL
URL:		http://www.cups.org
Group:     	System/Configuration/Printing   
Source0: 	cups-%{version}-source.tar.bz2
Source1: 	cups.init
Patch0:		cups-listento.patch
Patch1:		cups-1.3.7-percred.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	openldap-devel
BuildRequires:  glibc-devel
BuildRequires:  dbus-devel
BuildRequires:  gnutls-devel
BuildRequires:  libjpeg-devel
BuildRequires:  openldap-devel
BuildRequires:  pam-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel
BuildRequires:  openslp-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ghostscript-devel
BuildRequires:  libtasn1-devel
BuildRequires:  libgpg-error-devel
BuildRequires:	libgcrypt-devel
Prereq:     	/sbin/chkconfig

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The Common Unix Printing System (CUPS) is a print spooler and associated utilities.

%package devel
Summary: 	CUPS development headers.
Group:     	System/Configuration/Printing   
Requires: 	cups = %{version}-%{release}

%description devel
Header and include files for developing applications with CUPS.


%post
ldconfig
# should be already, in fact it isn't
chmod 0755 /var/spool
# If the /var/spool/cups directory alreay exist
# we need to make shure that cups gets access rights to it
# - that's always !!!
chmod 0730 /var/spool/cups
chmod 0755 /var/spool/cups/tmp
/sbin/chkconfig --add cups
/sbin/chkconfig cups on

# Restart cupsd if we are upgrading...
if test $1 -gt 1; then
        /etc/rc.d/init.d/cups stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/cups start 1>/dev/null 2>&1
fi


%preun
if test $1 = 0; then
        /etc/rc.d/init.d/cups stop 1>/dev/null 2>&1
        /sbin/chkconfig --del cups
fi

%postun
ldconfig
if test $1 -ge 1; then
        /etc/rc.d/init.d/cups stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/cups start 1>/dev/null 2>&1
fi


%prep
%setup -n cups-%{version}
%patch0 -p1
%patch1 -p1 

%build
sed -i -e "s@pam/pam@security/pam@g" {config-scripts/cups-pam.m4,scheduler/auth.c,configure}
autoconf
# Don't set --with-cups-user=root as it breaks the web-interface !
./configure     --sysconfdir=%_sysconfdir \
		--datadir=%_datadir \
		--localedir=/usr/share/locale \
		--mandir=%_mandir \
		--enable-static \
		--with-cups-group=lp
make

%install
rm -rf $RPM_BUILD_ROOT
make install BUILDROOT=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/etc/{init.d,rc0.d,rc2.d,rc3.d,rc5.d}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc0.d,rc2.d,rc3.d,rc5.d}
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/cups
ln -sf ../init.d/cups $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K00cups
ln -sf ../init.d/cups $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S99cups
ln -sf ../init.d/cups $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S99cups
ln -sf ../init.d/cups $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S99cups

%files
%defattr(-,root,root)
#%dir /etc/cups/certs
#%dir /etc/cups/interfaces
#%dir /etc/cups/ppd
%dir /var/log/cups
%attr(0755,root,root) %dir /var/spool/cups/tmp
%_sysconfdir
%_bindir
%_sbindir
%_datadir/cups
%_datadir/applications
%_datadir/icons
%_datadir/locale
%_docdir
%_mandir
%_libdir/*.so*
%_libdir/cups
%_libdir/php/extensions/no-debug-non-zts-20060613/phpcups.so

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.8-2
- rebuilt against poppler 0.8.6
- rebuilt against ghostscript 8.63
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.8-1
- Version Update
- gnutls 2.4.1
* Tue Jun 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-3
- rebuilt against poppler 0.8.3
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-2
- rebuilt against gnutls 2.2.2
* Wed Apr 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-1
- Version Update
* Wed Feb 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.6-1
- Version Update
* Tue Dec 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-1
- Version Update
* Thu Nov 01 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.3.4-1
- Version Update
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3-1
- Version Update
* Wed Sep 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.2-1
- Version Update
* Sun Sep 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version Update
* Tue Aug 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version Update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.12-1
- Version Update
* Sat May 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-1
- Version Update
* Tue Mar 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.10-1
- Version Update
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.9-1
- Version Update
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.8-2
- rebuilt against ghostscript 8.15.4
* Wed Feb 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.8-1
- Version Update
* Sun Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.7-2
- rebuilt against dbus 1.0.2
* Thu Nov 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.7-1
- Version Update
* Tue Nov 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.6-1
- Version Update
* Fri Oct 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.5-1
- Version Update
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-2
- rebuilt against dbus 0.93
* Fri Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-1
- Version Update
* Mon Sep 04 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.3-3
- Modified scriplets
* Mon Sep 04 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.3-2
- Modified init script
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-1
- Version Update
* Thu Aug 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version Update
* Tue May 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version Update
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.23-3
- tweaked specfile, readded some things in files section, moved static file to devel package
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.1.23-2
- rebuilt against openssl 0.9.8
* Thu Jan 06 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.23-1
- Update to Version 1.1.23
* Wed Nov 24 2004 Christian Metzen <metzench@ccux-linux.de> 1.1.22-3
- Changed User/Group cups runs as
* Sat Nov 20 2004 Christian Metzen <metzench@ccux-linux.de> 1.1.22-1
- Initial Release
